using System;

namespace ConsoleApp13
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] p = Console.ReadLine().Split();
            int a1 = int.Parse(p[0]);
            int a2 = int.Parse(p[1]);
            string c1 = s.Remove(1);
            string c2 = s.Remove(0, 1);
            string h = "";
            if (a1 == a2)
            {
                while (a1 > 0 && a2 > 0)
                {
                    h += c1;
                    a1 -= 1;
                    h += c2;
                    a2 -= 1;
                }
                Console.WriteLine(h);
            }
            else 
            {
                int max = a1;
                int min = a2;
                if (min>max)
                {
                    int priv = max;
                    max = min;
                    min = priv;
                }
                if (max-min<3)
                {
                    if (a1>a2)
                    {
                        while (a1>0 && a2>0)
                        {
                            h += c1;
                            a1--;
                            h += c2;
                            a2--;
                        }
                        if (a1>1)
                        {
                            Console.WriteLine("nemoguce");
                        }
                        else if(a1==1)
                        {
                            h += c1;
                            Console.WriteLine(h);
                        }
                        else if (a2>1)
                        {
                            Console.WriteLine("nemoguce");
                        }
                        else if (a2==1)
                        {
                            h += c2;
                            Console.WriteLine(h);
                        }
                    }
                }
                else
                {
                    Console.WriteLine("nemoguce");
                }
            }
            
            
        }
    }
}